phone.joinGroupCall
Join any group call type ». Conference calls additionally require the E2E joining flow ». The params field must contain a join payload generated by the local tgcalls group-call engine. It contains a random non-zero audio ssrc, ICE ufrag and pwd, DTLS fingerprints, and, when publishing video, ssrc-groups. For example, a join payload without published video has the following shape: When joining an RTMP-mode call, generate the payload without published video source groups.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Join any group call type ». Conference calls additionally require the E2E joining flow ». The params field must contain a join payload generated by the local tgcalls group-call engine. It contains a random non-zero audio ssrc, ICE ufrag and pwd, DTLS fingerprints, and, when publishing video, ssrc-groups. For example, a join payload without published video has the following shape: When joining an RTMP-mode call, generate the payload without published video source groups.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.joinGroupCall" \ -H "Content-Type: application/json" \ -d '{ "params": { "call": { "_": "inputGroupCall", "id": "string", "accessHash": "string" }, "joinAs": { "_": "inputPeerEmpty" }, "params": { "_": "dataJSON", "data": "string" } } }'{ "result": { "_": "updatesTooLong" }}inviteToGroupCall
Invite a set of users to a [video chat/livestream »](https://core.telegram.org/api/group-calls#video-chats-livestreams); cannot be used for [live stories »](https://core.telegram.org/api/group-calls#live-stories) or [conference calls »](https://core.telegram.org/api/group-calls#conference-calls).
joinGroupCallPresentation
Start screen sharing in a non-RTMP video chat/livestream or conference. Presentations are not supported in live stories or RTMP-mode video chats/livestreams, see [here »](https://core.telegram.org/api/group-calls#presentations) for more info.